Advapi32Util.EventLogIterator (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, class: Advapi32Util, class: EventLogIterator

Package com.sun.jna.platform.win32

# Class Advapi32Util.EventLogIterator

java.lang.Object
com.sun.jna.platform.win32.Advapi32Util.EventLogIterator

All Implemented Interfaces:
  `Iterable<Advapi32Util.EventLogRecord>`, `Iterator<Advapi32Util.EventLogRecord>`

Enclosing class:
  Advapi32Util

public static class Advapi32Util.EventLogIterator extends Object implements Iterable<Advapi32Util.EventLogRecord>, Iterator<Advapi32Util.EventLogRecord>
An iterator for Event Log entries.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventLogIterator(String sourceName)`
  `EventLogIterator(String serverName, String sourceName, int flags)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  Call close() in the case when the caller needs to abandon the iterator before the iteration completes.
  `boolean`
  `hasNext()`
  `Iterator<Advapi32Util.EventLogRecord>`
  `iterator()`
  `Advapi32Util.EventLogRecord`
  `next()`
  `void`
  `remove()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

- ## Constructor Details

  - ### EventLogIterator

    public EventLogIterator(String sourceName)

  - ### EventLogIterator

    public EventLogIterator(String serverName, String sourceName, int flags)

- ## Method Details

  - ### close

    public void close()
    Call close() in the case when the caller needs to abandon the iterator before the iteration completes.

  - ### iterator

    public Iterator<Advapi32Util.EventLogRecord> iterator()
    Specified by:
      `iterator` in interface `Iterable<Advapi32Util.EventLogRecord>`

  - ### hasNext

    public boolean hasNext()
    Specified by:
      `hasNext` in interface `Iterator<Advapi32Util.EventLogRecord>`

  - ### next

    public Advapi32Util.EventLogRecord next()
    Specified by:
      `next` in interface `Iterator<Advapi32Util.EventLogRecord>`

  - ### remove

    public void remove()
    Specified by:
      `remove` in interface `Iterator<Advapi32Util.EventLogRecord>`